View Issue Details

IDProjectCategoryView StatusLast Update
0000172Pgpool-IIBugpublic2016-03-18 21:50
ReporterwangzhenboAssigned ToMuhammad Usama 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000172: failback_command finishes,pgpool-II DONNOT restart all child processes.
Description failback_command finishes,pgpool-II DONNOT restart all child processes.


pgpool:3.5
postgresql:9.1.2
mode:master-slave streaming replication

Mar 14 15:30:02 puppetserver pgpool [109220]:[18-1] 2016-03-14 15:30:02:pid 109220:LOG: failback event detected

Mar 14 15:30:02 puppetserver pgpool [109220]:[18-2] 2016-03-14 15:30:02:pid 109220:DETAIL: restarting myself

Mar 14 15:30:02 puppetserver pgpool [104754]:[118-1] 2016-03-14 15:30:02:pid 104754:LOG: child process with pid:109204 exits with status 256

Mar 14 15:30:02 puppetserver pgpool [104754]:[119-1] 2016-03-14 15:30:02:pid 104754:LOG: child process with pid:109204 exits with success and will not be restarted



Mar 14 15:30:02 puppetserver pgpool [104754]:[120-1] 2016-03-14 15:30:02:pid 104754:LOG: child process with pid:109206 exits with status 256

Mar 14 15:30:02 puppetserver pgpool [104754]:[119-1] 2016-03-14 15:30:02:pid 104754:LOG: child process with pid:109206 exits with success and will not be restarted




1.stop the master 10.90.80.83
service postgresql stop
2.pg_poolII trigger the failover command , the slave 10.90.80.85 become to the new master.
3.after the failover is end,pg_poolII execute follow_master_command and sync the data from 80.85 to 80.83

after that,primary node(80.85)will run pgpool_remote_start and restart the slave(80.83).

4.The pgpool will log out "failback event detected" and stop all child process.

But in the user docs
Online recovery with Streaming Replication,
After failback_command finishes,pgpool-II restart all child processes.

TagsNo tags attached.

Activities

wangzhenbo

2016-03-16 22:16

reporter   ~0000691

same as 0000173

Muhammad Usama

2016-03-18 21:50

developer   ~0000695

This is the bug in the latest version pgpool-II 3.5. The fix for it is already pushed into the repository and you can pull the latest code if you are building pgpool from the source. And it will be part of next minor release, which is expected at the end of this month

http://git.postgresql.org/gitweb/?p=pgpool2.git;a=commitdiff;h=e2f822fae9a4956f210bccafd0eade26642c90fa [^]

Issue History

Date Modified Username Field Change
2016-03-16 21:49 wangzhenbo New Issue
2016-03-16 22:16 wangzhenbo Note Added: 0000691
2016-03-18 09:22 t-ishii Assigned To => t-ishii
2016-03-18 09:22 t-ishii Status new => assigned
2016-03-18 09:28 t-ishii Assigned To t-ishii => Muhammad Usama
2016-03-18 21:50 Muhammad Usama Note Added: 0000695
2016-03-18 21:50 Muhammad Usama Status assigned => resolved
2016-03-18 21:50 Muhammad Usama Resolution open => fixed